Description: don't set umask(0) to prevent creation of world writeable files
Author: Thorsten Alteholz <debian@alteholz.de>
Index: radlib-2.12.0/src/radsysutils.c
===================================================================
--- radlib-2.12.0.orig/src/radsysutils.c	2009-12-06 20:22:09.000000000 +0100
+++ radlib-2.12.0/src/radsysutils.c	2017-09-08 14:28:16.441561336 +0200
@@ -177,7 +177,11 @@
     }
 
     // clear the file mode mask
-    umask (0);
+    /*
+     * this should not be done
+     * see -> https://sourceforge.net/p/radlib/bugs/2/
+     */
+    // umask (0);
 
 // ARM microcontrollers seem to have issues with dup2
 #ifndef __arm__
